using System;
using System.Collections;
using System.Text;

using IBatisNet.DataMapper;

namespace iBatisQuicklyStarted
{
    class Program
    {
        static void Main(string[] args)
        {
            string groupName = "EMPLOYEE";
            IList users = Mapper.Instance().QueryForList("getAllUsers", groupName);

            Console.WriteLine("Selected " + users.Count + " records.");
            string outputFormat = "UserName={0}, Password={1}, UserId={2}, GroupName={3}";
            for (int i = 0; i < users.Count; i++)
            {
                Hashtable user = users[i] as Hashtable;
                Console.WriteLine(string.Format(outputFormat, user["USERID"], user["USERNAME"], user["PASSWORD"], user["GROUPNAME"]));
            }

            Console.ReadLine();
        }
    }
}
