if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Employee]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[Employee]
GO

CREATE TABLE [dbo].[Employee] (
	[ID] [int] NOT NULL ,
	[EMPLOYEE_NUMBER] [int] NOT NULL ,
	[FIRST_NAME] [nvarchar] (50) COLLATE Chinese_PRC_CI_AS NULL ,
	[LAST_NAME] [nvarchar] (50) COLLATE Chinese_PRC_CI_AS NULL ,
	[TITLE] [nvarchar] (100) COLLATE Chinese_PRC_CI_AS NULL 
) ON [PRIMARY]
GO

ALTER TABLE [dbo].[Employee] ADD 
	CONSTRAINT [PK_Employee] PRIMARY KEY  CLUSTERED 
	(
		[ID]
	)  ON [PRIMARY] 
GO

INSERT INTO [dbo].[Employee] (
	[ID],
	[EMPLOYEE_NUMBER],
	[FIRST_NAME],
	[LAST_NAME],
	[TITLE]
)
	SELECT 1, 1001, 'Anders', 'Cui', 'SE' UNION
	SELECT 2, 1002, 'Bill', 'Gates', 'CTO'
